-dontshrink
-dontoptimize
-dontpreverify

-optimizationpasses 2

-keep class com.umeng.common.**{
*;
}
-keep class com.umeng.analytics.**{
*;
}

-keep class com.google.protobuf.**{
*;
}

-keep class com.nawi.android.billing.sdk.**{
*;
}
-keep class android.support.v4.**{
*;
}
-keep class com.backfire.socket.socketProto.**{
*;
}

-useuniqueclassmembernames
-dontusemixedcaseclassnames
-keeppackagenames
-verbose

-dontwarn com.google.protobuf.**
-dontwarn android.support.v4.**

-keep public class com.android.vending.licensing.ILicensingService

-keep public class * extends android.app.Activity

-keep public class * extends android.app.Application

-keep public class * extends android.content.BroadcastReceiver

-keep public class * extends android.content.ContentProvider

-keep public class * extends android.preference.Preference

-keep public class * extends android.view.View

-keep public class * extends android.view.SurfaceView

-keep public class * extends android.app.AlertDialog

-keep public class * extends java.lang.Thread

-keep public class * extends android.os.AsyncTask

-keep public class * extends android.os.Handler

-keep public class * extends android.database.sqlite.SQLiteOpenHelper

-keep public class * extends org.xml.sax.helpers.DefaultHandler

-keep public class * extends android.widget.BaseAdapter

-keep public class * implements android.view.SurfaceHolder.Callback

-keep public class * implements java.lang.Runnable

-keep public class * implements android.view.View.OnTouchListener

-keep public class * implements java.lang.Thread.UncaughtExceptionHandler

-keep public class com.backfire.socket.socketProto.BullFight

-keep class * extends android.os.Parcelable {
    public static final android.os.Parcelable$Creator *;
}


-keepclassmembers class **.R$* {
    public static <fields>;
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet);
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet,int);
}

# Keep names - Native method names. Keep all native class/method names.
-keepclasseswithmembers,allowshrinking class * {
    native <methods>;
}

# Keep names - _class method names. Keep all .class method names. This may be
# useful for libraries that will be obfuscated again with different obfuscators.
-keepclassmembers,allowshrinking class * {
    java.lang.Class class$(java.lang.String);
    java.lang.Class class$(java.lang.String,boolean);
}
-keep public class qnn.*

-keepclassmembers class * {
   	public <init>(org.json.JSONObject);
}
-keep public class net.yeeyo.doudizhu.feiyu.R$*{
	public static final int *;
}



-keep class com.yeepay.android.plugin.***** {
 <fields>;
 <methods>;
}
-keep class com.unionpay.***** {
 <fields>;
 <methods>;
}
-keep class com.umpay.huafubao.***** {
 <fields>;
 <methods>;
}
-keep class com.easou.epay_all.***** {
 <fields>;
 <methods>;
}
-keep class com.android.easou.epay.***** {
 <fields>;
 <methods>;
}
-keep class com.UCMobile.***** {
 <fields>;
 <methods>;
}
-keep class com.unionpay.***** {
 <fields>;
 <methods>;
}
-keep class com.alipay.android.app.***** {
 <fields>;
 <methods>;
}
-keep class com.shenzhoufu.android.***** {
 <fields>;
 <methods>;
}
-keep class com.hisun.b2c.api.***** {
 <fields>;
 <methods>;
}
-keep class com.unicom.dcLoader.***** {
 <fields>;
 <methods>;
}

